/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */
/**
 * @module comments/comments/commentsarchiveui
 * @publicApi
 */
import '../../theme/commentsarchive.css';
import { Plugin, type Editor } from 'ckeditor5/src/core.js';
import { ViewCollection } from 'ckeditor5/src/ui.js';
import CommentsArchiveView from './ui/view/commentsarchiveview.js';
import CommentsArchive from './commentsarchive.js';
import type AnnotationView from '../annotations/view/annotationview.js';
/**
 * Creates comments archive {@link module:ui/dropdown/dropdownview~DropdownView ui dropdown} and binds with
 * archived comment thread annotation views.
 */
export default class CommentsArchiveUI extends Plugin {
    commentsArchiveView: CommentsArchiveView | undefined;
    annotationViews: ViewCollection<AnnotationView>;
    /**
     * @inheritDoc
     */
    static get pluginName(): "CommentsArchiveUI";
    /**
     * @inheritDoc
     */
    static get requires(): readonly [typeof CommentsArchive];
    /**
     * @inheritDoc
     */
    constructor(editor: Editor);
    /**
     * @inheritDoc
     */
    init(): void;
}
